package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.toolset.mybatis.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * Description 直播课购买学员 查询
 *
 * @author liujunchi
 * @date 2022-04-18
 */
@ApiModel("直播课购买学员 查询")
public class LiveCourseGroupStudentSearch extends QueryInfo {

    @ApiModelProperty(value = "直播课 课程组id",required = true)
    @NotNull(message = "课程组id不能为空")
    private Long courseGroupId;

    @ApiModelProperty("课程编号/学员编号/学员姓名/学员手机号")
    private String search;

    @ApiModelProperty("订单号")
    private String orderNo;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    public Long getCourseGroupId() {
        return courseGroupId;
    }

    public void setCourseGroupId(Long courseGroupId) {
        this.courseGroupId = courseGroupId;
    }

    @Override
    public String getSearch() {
        return search;
    }

    @Override
    public void setSearch(String search) {
        this.search = search;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
